GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::SurfaceWriter Class Reference

This class defines a SURFACE IE writer. It writes surface mesh module attributes. More...

`#include <gdcmSurfaceWriter.h>`

Inheritance diagram for gdcm::SurfaceWriter:
[legend]
Collaboration diagram for gdcm::SurfaceWriter:
[legend]

## Public Member Functions

| SurfaceWriter ()
virtual | ~SurfaceWriter ()
unsigned long | GetNumberOfSurfaces ()
void | SetNumberOfSurfaces (const unsigned long nb)
bool | Write ()
| Write.
Public Member Functions inherited from gdcm::SegmentWriter
| SegmentWriter ()
virtual | ~SegmentWriter ()
void | AddSegment (SmartPointer< Segment > segment)
unsigned int | GetNumberOfSegments () const
SmartPointer< Segment > | GetSegment (const unsigned int idx=0) const
const SegmentVector & | GetSegments () const
SegmentVector & | GetSegments ()
void | SetNumberOfSegments (const unsigned int size)
void | SetSegments (SegmentVector &segments)
Public Member Functions inherited from gdcm::Writer
| Writer ()
virtual | ~Writer ()
void | CheckFileMetaInformationOff ()
void | CheckFileMetaInformationOn ()
File & | GetFile ()
void | SetCheckFileMetaInformation (bool b)
| Undocumented function, do not use (= leave default)
void | SetFile (const File &f)
| Set/Get the DICOM file (DataSet + Header)
void | SetFileName (const char *filename_native)
| Set the filename of DICOM file to write:
void | SetStream (std::ostream &output_stream)
| Set user ostream buffer.

## Protected Member Functions

void | ComputeNumberOfSurfaces ()
bool | PrepareWrite ()
bool | PrepareWritePointMacro (SmartPointer< Surface > surface, DataSet &surfaceDS, const TransferSyntax &ts)
Protected Member Functions inherited from gdcm::SegmentWriter
bool | PrepareWrite ()
Protected Member Functions inherited from gdcm::Writer
std::ostream * | GetStreamPtr () const
void | SetWriteDataSetOnly (bool b)

## Protected Attributes

unsigned long | NumberOfSurfaces
Protected Attributes inherited from gdcm::SegmentWriter
SegmentVector | Segments
Protected Attributes inherited from gdcm::Writer
std::ofstream * | Ofstream
std::ostream * | Stream

## Additional Inherited Members

Public Types inherited from gdcm::SegmentWriter
typedef std::vector < SmartPointer< Segment > > | SegmentVector

## Detailed Description

This class defines a SURFACE IE writer. It writes surface mesh module attributes.

See Also
  PS 3.3 A.1.2.18 , A.57 and C.27

## Constructor & Destructor Documentation

gdcm::SurfaceWriter::SurfaceWriter | ( |  | ) |

virtual gdcm::SurfaceWriter::~SurfaceWriter | ( |  | ) |

virtual

## Member Function Documentation

void gdcm::SurfaceWriter::ComputeNumberOfSurfaces | ( |  | ) |

protected

unsigned long gdcm::SurfaceWriter::GetNumberOfSurfaces | ( |  | ) |

bool gdcm::SurfaceWriter::PrepareWrite | ( |  | ) |

protected

bool gdcm::SurfaceWriter::PrepareWritePointMacro | ( | SmartPointer< Surface > | surface,
|  | DataSet & | surfaceDS,
|  | const TransferSyntax & | ts
| ) |  |

protected

void gdcm::SurfaceWriter::SetNumberOfSurfaces | ( | const unsigned long | nb | ) |

bool gdcm::SurfaceWriter::Write | ( |  | ) |

virtual

Write.

Reimplemented from gdcm::SegmentWriter.

## Member Data Documentation

unsigned long gdcm::SurfaceWriter::NumberOfSurfaces

protected

The documentation for this class was generated from the following file:

- gdcmSurfaceWriter.h